RequestMimeTypesApi (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins.web.api

## [Groovy] Class RequestMimeTypesApi

- org.codehaus.groovy.grails.plugins.web.api.RequestMimeTypesApi

- Methods added to the javax.servlet.http.HttpServletRequest instance for request format handling.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `MimeTypesApiSupport` | `apiSupport`
    `GrailsApplication` | `grailsApplication`
    `MimeType[]` | `mimeTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RequestMimeTypesApi ()`
    `RequestMimeTypesApi (GrailsApplication application, MimeType[] mimeTypes)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getFormat(javax.servlet.http.HttpServletRequest request)` Obtains the request format, which is dictated by the CONTENT_TYPE header and evaluated using the configured MimeType instances.
    `MimeType[]` | `getMimeTypes()`
    `MimeType[]` | `getMimeTypes(javax.servlet.http.HttpServletRequest request)` Obtains a list of configured MimeType instances for the request
    `java.lang.Object` | `withFormat(javax.servlet.http.HttpServletRequest request, groovy.lang.Closure callable)` Allows for the request.withFormat { } syntax

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### MimeTypesApiSupport apiSupport

    - #### GrailsApplication grailsApplication

    - #### MimeType[] mimeTypes

  - ### Constructor Detail

    - #### RequestMimeTypesApi()

    - #### RequestMimeTypesApi(GrailsApplication application, MimeType[] mimeTypes)

  - ### Method Detail

    - #### java.lang.String getFormat(javax.servlet.http.HttpServletRequest request)

      Obtains the request format, which is dictated by the CONTENT_TYPE header and evaluated using the configured MimeType instances. Only configured MimeTypes are allowed.

      Parameters:
        `request` - The request object
      Returns:
        The request format or null if exists

    - #### MimeType[] getMimeTypes()

    - #### MimeType[] getMimeTypes(javax.servlet.http.HttpServletRequest request)

      Obtains a list of configured MimeType instances for the request

      Parameters:
        `request` - The request
      Returns:
        A list of configured mime types

    - #### java.lang.Object withFormat(javax.servlet.http.HttpServletRequest request, groovy.lang.Closure callable)

      Allows for the request.withFormat { } syntax

      Parameters:
        `request` - The request
        `callable` - A closure
      Returns:
        The result of the closure call